%global sbc simple-backup-config
%global srg simple-restore-gnome

Name:           sbackup
Version:        0.10.5
Release:        10%{?dist}
Summary:        Simple Backup Suite for desktop use

Group:          Applications/Archiving
License:        GPLv2+
URL:            http://sbackup.wiki.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}_%{version}.tar.gz
Source1:        %{name}-conf.desktop
Source2:        %{name}-restore.desktop
Patch0:         %{name}-0.10.5-locales.patch
Patch1:         %{name}-0.10.5-prefix.patch
Patch2:         %{name}-0.10.5-save_on_backup.patch
Patch3:         %{name}-0.10.5-deactivate_dpkg.patch
Patch4:         %{name}-0.10.5-remeber-Abort-backup-if-destination-directory-does-not-exist.patch
Patch5:         %{name}-0.10.5-stopifnotarget.patch

BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  desktop-file-utils
BuildRequires:  gettext
Requires:       usermode-gtk
Requires:       pygtk2-libglade
Requires:       gettext
Requires:       gvfs

%description
Simple Backup Suite is a set of backend backup daemon and GNOME
GUI frontends that provide a simple yet powerful backup
solution for common desktop users.

Backups can be written to local directory or remote servers using
GNOME VFS technology. A fine control is possible regarding what
folders and files to backup. Files can be excluded even with a set
of regular expressions. Regular backups can be scheduled.


%prep
%setup -q
%patch0 -p1 
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1


%build
%install
rm -rf %{buildroot}
make install \
     INSTALL="install -p" \
     DESTDIR=%{buildroot} \
     PREFIX=%{_prefix}



mkdir -p %{buildroot}%{_mandir}/man8/
cat simple-backup.8 | gzip -9 -c > %{name}.8.gz
install -pm644 %{name}.8.gz \
        %{buildroot}%{_mandir}/man8/%{name}.8.gz

rm -rf %{buildroot}%{_datadir}/applications/*
desktop-file-install \
                     %if 0%{?rhel}
                     --vendor="" \
                     %endif
                     --dir=%{buildroot}%{_datadir}/applications \
                     %{SOURCE1}
desktop-file-install \
                     %if 0%{?rhel}
                     --vendor="" \
                     %endif
                     --dir=%{buildroot}%{_datadir}/applications \
                     %{SOURCE2}

mkdir -p %{buildroot}%{_bindir}
ln -s consolehelper %{buildroot}%{_bindir}/%{sbc}
ln -s consolehelper %{buildroot}%{_bindir}/%{srg}

mkdir -p %{buildroot}%{_sysconfdir}/pam.d

cat << EOF > %{buildroot}%{_sysconfdir}/pam.d/%{sbc}
#%PAM-1.0
auth            include         config-util
account         include         config-util
session         include         config-util
EOF

cat << EOF > %{buildroot}%{_sysconfdir}/pam.d/%{srg}
#%PAM-1.0
auth            include         config-util
account         include         config-util
session         include         config-util
EOF

mkdir -p %{buildroot}%{_sysconfdir}/security/console.apps/

cat << EOF > %{buildroot}%{_sysconfdir}/security/console.apps/%{sbc}
USER=root
PROGRAM=%{_sbindir}/%{sbc}
SESSION=true
EOF

cat << EOF > %{buildroot}%{_sysconfdir}/security/console.apps/%{srg}
USER=root
PROGRAM=%{_sbindir}/%{srg}
SESSION=true
EOF

mkdir -p %{buildroot}%{_sysconfdir}/cron.{d,daily,hourly,monthly,weekly}/
touch %{buildroot}%{_sysconfdir}/cron.{d,daily,hourly,monthly,weekly}/%{name}

%find_lang %{name}


%clean
rm -rf %{buildroot}


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING TODO VERSION
%{_bindir}/%{sbc}
%{_bindir}/%{srg}
%{_sbindir}/%{name}d
%{_sbindir}/%{sbc}
%{_sbindir}/%{srg}
%{_mandir}/man8/%{name}.8.gz
%{_datadir}/applications/%{name}*.desktop
%{_datadir}/pixmaps/%{name}-conf.png
%{_datadir}/pixmaps/%{name}-restore.png
%{_datadir}/%{name}/
%config(noreplace) %{_sysconfdir}/%{name}.conf
%config(noreplace) %{_sysconfdir}/pam.d/%{sbc}
%config %{_sysconfdir}/security/console.apps/%{sbc}
%config(noreplace) %{_sysconfdir}/pam.d/%{srg}
%config %{_sysconfdir}/security/console.apps/%{srg}
%exclude %{_sbindir}/srestore.*
%exclude %{_sbindir}/upgrade_backups.*
%ghost %{_sysconfdir}/cron.*/%{name}


%changelog
* Sat Dec 12 2009 Simon Wesp <cassmodiah@fedoraproject.org> - 0.10.5-10
- Add patch to remember the setting 'Abort backup if destination directory does not exist' (RHBZ#517840)

* Thu Nov 26 2009 Simon Wesp <cassmodiah@fedoraproject.org> - 0.10.5-9
- Add patch to 'stop if no target' (RHBZ#540619) Thanks to Thomas Spura for this patch

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.5-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Mar 05 2009 Simon Wesp <cassmodiah@fedoraproject.org> - 0.10.5-7
- Add patch2 to save on backup - Close RHBZ: #486079
- Add patch3 to deactivate dpkg queries 

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.5-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Jan 16 2009 Simon Wesp <cassmodiah@fedoraproject.org> - 0.10.5-5
- Add ownage for cron-files
- Correct patch0
- Add patch1 
- Correct desktopfiles

* Mon Jan 05 2009 Simon Wesp <cassmodiah@fedoraproject.org> - 0.10.5-4
- Add Source0 again, to honor timestamp for Source0
- Require usermode-gtk instead of usermode for the password dialog.
 
* Wed Nov 26 2008 Simon Wesp <cassmodiah@fedoraproject.org> - 0.10.5-3
- Add patch0
- Add manpage
- Add translations

* Sat Nov 01 2008 Simon Wesp <cassmodiah@fedoraproject.org> - 0.10.5-2
- adjust for EPEL

* Fri Oct 24 2008 Simon Wesp <cassmodiah@fedoraproject.org> - 0.10.5-1
- Initial release
